package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxVoiceAndVideoHistory struct {
	Id               int `orm:"column(id);pk"`
	SourceId         int `description:"资源ID"`
	SourceType       int `description:"资源类型 1：活动音频、2 活动视频 、3 产业视频 、 4 问答系列 "`
	UserId           int
	CreateTime       time.Time
	Mobile           string    `description:"手机号"`
	Email            string    `description:"邮箱"`
	CompanyId        int       `description:"公司id"`
	CompanyName      string    `description:"公司名称"`
	ModifyTime       time.Time `description:"修改时间"`
	RealName         string    `description:"用户实际名称"`
	SellerName       string    `description:"所属销售"`
	RegisterPlatform int       `description:"来源 1小程序，2：网页"`
	PlaySeconds      string    `description:"播放时间 单位s"`
}

// 添加历史信息
func AddCygxVoiceAndVideoHistory(item *CygxVoiceAndVideoHistory) (lastId int64, err error) {
	o := orm.NewOrm()
	item.ModifyTime = time.Now()
	lastId, err = o.Insert(item)
	return
}
